Description

The creation of temporary cached EPSG database doesn't happen during the initialization of the application (like in gvSIG 2.2), but
only when there's the need to use it for the first time (e.g. when we open the "New CRS" dialog and choose EPSG type). So the user
has to wait some seconds before to go on in the CRS settings.

History
#1 - 01/30/2016 05:26 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

The creation of the temporary cached EPSG database should be added to the so called "startup tasks".

#2 - 01/30/2016 07:03 PM - Antonio Falciano

A temporary workaround consists into creating an autorun.py script with the following code:

from es.idr.teledeteccion.connection import EpsgConnection

def main(*args):
    # Connect with the EPSG Registry
    # (create the temporary cached EPSG database)
    conn = EpsgConnection()
    conn.setConnectionEPSG()
    pass

#3 - 02/02/2016 06:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#4 - 09/02/2016 11:47 AM - Andrea Antonello

+1 for this fix.
I was guessing this, since the whole GUI freezes when the CRS is triggered.

Antonio, did you test the script already?

#5 - 09/02/2016 11:51 AM - Antonio Falciano

Hi Andrea,
I use always the script reported in #4025#note-2 to avoid this bug and it works fine. Thank you for your kind attention.

#6 - 05/31/2017 10:55 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2817 (rev. org.gvsig.desktop-2.0.183)

#7 - 05/31/2017 11:01 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#8 - 06/11/2017 09:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed
